| Age | Commit message (Collapse) | Author | |
|---|---|---|---|
| 2024-12-18 | Refs #26007 -- Improved the ImproperlyConfigured error message for ↵ | Andrew Miller | |
| SingleObjectTemplateResponseMixin.get_template_names(). | |||
| 2024-12-18 | Fixed #26007 -- Clarified ↵ | Andrew Miller | |
| SingleObjectTemplateResponseMixin.get_template_names() docs. | |||
| 2024-10-17 | Fixed #35795 -- Added role="button" to links acting as buttons for screen ↵ | Jay Patel | |
| readers. | |||
| 2024-10-15 | Fixed #35682 -- Updated docstrings for base view classes which require a ↵ | Yash | |
| response mixin. | |||
| 2024-08-23 | Fixed #35703 -- Made technical_404_response() respect SCRIPT_NAME to return ↵ | Maarten Breddels | |
| default_urlconf(). | |||
| 2024-08-01 | Fixed #35646 -- Extended SafeExceptionReporterFilter.hidden_settings to ↵ | Markus Holtermann | |
| treat `AUTH` as a sensitive match. Co-authored-by: Natalia <124304+nessita@users.noreply.github.com> | |||
| 2024-05-21 | Removed hardcoded docs version in csrf template. | Ryan Hiebert | |
| 2024-02-23 | Fixed #35140 -- Increased font size in debug views. | erosselli | |
| 2024-02-17 | Fixed #35187 -- Fixed @sensitive_variables/sensitive_post_parameters ↵ | Mariusz Felisiak | |
| decorators crash with .pyc-only builds. Thanks Jon Janzen for the implementation idea. Thanks Marcus Hoffmann for the report. Regression in 38e391e95fe5258bc6d2467332dc9cd44ce6ba52. | |||
| 2024-02-14 | Fixed #35195 -- Removed unnecessary type="text/css" attributes from <style> ↵ | Cosmic Process | |
| tags. | |||
| 2024-02-12 | Fixed #35171 -- Updated the design of the "Congrats" page. | Alexander Lazarević | |
| 2024-02-12 | Corrected indentation of the "Congrats" page template. | Alexander Lazarević | |
| 2024-01-31 | Fixed #35143 -- Improved accessibility of 404/500 debug pages. | Marijke Luttekes | |
| This: - changes the header, main, and footer content areas to be rendered in a <header>, <main>, and <footer> tags, - adds scope attributes to <th>, - uses <code> for a patterns list, - uses <small> instead of <span>. | |||
| 2024-01-30 | Made cosmetic edits to rocket SVG in the "Congrats" page. | Baptiste Mispelon | |
| This removes unnecessary <circle> from rocket SVG, and avoids repeating the SVG rocket's color for the porthole. | |||
| 2024-01-26 | Applied Black's 2024 stable style. | Mariusz Felisiak | |
| https://github.com/psf/black/releases/tag/24.1.0 | |||
| 2023-12-04 | Fixed #34830 -- Added request to bad_request/csrf_failure view template ↵ | yushanfans2233 | |
| contexts. | |||
| 2023-11-08 | Reverted "Fixed #34830 -- Added request to csrf_failure view's template ↵ | Natalia | |
| context." This reverts commit 535f7b5c6cea54a0796d85bbe213183d50002689. | |||
| 2023-11-07 | Fixed #34830 -- Added request to csrf_failure view's template context. | Prakhar | |
| Co-authored-by: nessita <124304+nessita@users.noreply.github.com> | |||
| 2023-07-10 | Refs #31949 -- Made @vary_on_(cookie/headers) decorators work with async ↵ | Ben Lomax | |
| functions. | |||
| 2023-07-10 | Made @vary_on_cookie decorator reuse @vary_on_headers. | Mariusz Felisiak | |
| 2023-07-10 | Refs #31949 -- Made @csrf_exempt decorator to work with async functions. | Ben Lomax | |
| 2023-06-26 | Refs #31949 -- Made http decorators to work with async functions. | th3nn3ss | |
| 2023-06-23 | Refs #31949 -- Simplified @sensitive_variables a bit. | Jon Janzen | |
| Follow up to 38e391e95fe5258bc6d2467332dc9cd44ce6ba52. | |||
| 2023-06-23 | Refs #31949 -- Made @sensitive_variables/sensitive_post_parameters ↵ | Jon Janzen | |
| decorators to work with async functions. Co-authored-by: Mariusz Felisiak <felisiak.mariusz@gmail.com> | |||
| 2023-05-26 | Optimized @condition decorator a bit. | Mariusz Felisiak | |
| This removes unnecessary get_last_modified() hook. | |||
| 2023-05-24 | Fixed #34592 -- Removed Safari/Chrome workaround for system fonts. | minusf | |
| 2023-05-23 | Refs #31949 -- Made @no_append_slash decorator to work with async functions. | Ben Lomax | |
| 2023-05-22 | Fixed #34588 -- Removed usage of nonexistent stylesheet in the 'Congrats' page. | gtleee | |
| Regression in d46cc15c51219c3418e0287bf018c5ba1346f825. | |||
| 2023-05-20 | Refs #31949 -- Made @xframe_options_(deny/sameorigin/exempt) decorators to ↵ | Ben Lomax | |
| work with async functions. | |||
| 2023-05-18 | Refs 34343 -- Removed outdated comment about inline template from CSRF view ↵ | Adam Johnson | |
| file. | |||
| 2023-04-25 | Refs #31949 -- Made @never_cache and @cache_control() decorators to work ↵ | Ben Lomax | |
| with async functions. Thanks Carlton Gibson and Mariusz Felisiak for reviews. | |||
| 2023-03-30 | Reverted "Refs #31949 -- Enabled @sensitive_variables to work with async ↵ | Mariusz Felisiak | |
| functions." This reverts commits 23cbed21876bf02f4600c0dac3a5277db5b2afbb and 203a15cadbf8d03b51df1b28d89b2e7ab4264973. | |||
| 2023-03-22 | Refs #31949 -- Enabled @sensitive_variables to work with async functions. | Jon Janzen | |
| 2023-02-17 | Fixed #34343 -- Moved built-in templates to filesystem. | Nick Pope | |
| 2023-02-01 | Refs #33476 -- Applied Black's 2023 stable style. | David Smith | |
| Black 23.1.0 is released which, as the first release of the year, introduces the 2023 stable style. This incorporates most of last year's preview style. https://github.com/psf/black/releases/tag/23.1.0 | |||
| 2023-01-17 | Refs #33263 -- Removed warning in BaseDeleteView when delete() method is ↵ | Mariusz Felisiak | |
| overridden. | |||
| 2022-12-20 | Refs #34118 -- Adopted asgiref coroutine detection shims. | Carlton Gibson | |
| Thanks to Mariusz Felisiak for review. | |||
| 2022-11-29 | Fixed #33701 -- Added fine-grained error locations to the technical 500 ↵ | Giebisch | |
| debug page. | |||
| 2022-11-25 | Fixed #33747 -- Added exception notes to the technical 500 debug page. | Giebisch | |
| 2022-11-10 | Updated documentation and comments for RFC updates. | Nick Pope | |
| - Updated references to RFC 1123 to RFC 5322 - Only partial as RFC 5322 sort of sub-references RFC 1123. - Updated references to RFC 2388 to RFC 7578 - Except RFC 2388 Section 5.3 which has no equivalent. - Updated references to RFC 2396 to RFC 3986 - Updated references to RFC 2616 to RFC 9110 - Updated references to RFC 3066 to RFC 5646 - Updated references to RFC 7230 to RFC 9112 - Updated references to RFC 7231 to RFC 9110 - Updated references to RFC 7232 to RFC 9110 - Updated references to RFC 7234 to RFC 9111 - Tidied up style of text when referring to RFC documents | |||
| 2022-10-26 | Fixed #33606 -- Cleansed sessionid cookie in error reports. | Tobias Bengfort | |
| Co-authored-by: Simon Charette <charette.s@gmail.com> | |||
| 2022-09-29 | Fixed #34062 -- Updated View.http_method_not_allowed() to support async. | Antoine Lorence | |
| As with the options() methods, wrap the response in a coroutine if the view is async. Co-authored-by: Carlton Gibson <carlton.gibson@noumenal.es> | |||
| 2022-08-17 | Fixed #33878 -- Switched to system fonts in CSS. | Tom Carrick | |
| 2022-07-25 | Simplified various built-in templates. | Nick Pope | |
| - Using the {% plural %} tag. - Using the |yesno filter. - Using the |unordered_list filter. - Unnesting {% if %} where not required. - Not duplicating {% if %}. | |||
| 2022-07-25 | Standardized formatting in technical 500 template. | Nick Pope | |
| - Prefer use of `k` and `v` instead of `var.0` and `var.1`. - Fixed indentation of #files-info block to match adjacent blocks. | |||
| 2022-07-25 | Fixed #33863 -- Fixed JavaScriptCatalog with more than 1 level of fallback ↵ | Claude Paroz | |
| translations. Co-authored-by: Carlos Mermingas <cmermingas@gmail.com> | |||
| 2022-05-25 | Normalized decorator style for functools.wraps. | Aymeric Augustin | |
| 2022-05-25 | Normalized imports of functools.wraps. | Aymeric Augustin | |
| @wraps is 10 times more common than @functools.wraps. Standardize to the most common version. | |||
| 2022-05-25 | Renamed wrapped functions to wrapper. | Aymeric Augustin | |
| All these functions are wrapping another function. They're the wrapper, while the function they're wrapping is the wrapped. | |||
| 2022-04-07 | Fixed #33611 -- Allowed View subclasses to define async method handlers. | Carlton Gibson | |
